ranges::views::iter_zip_with_fn Struct Referenceabstract

## Synopsis of methods

constexpr iter_zip_with_fn | iter_zip_with {}

## Public Member Functions

template<typename... Rngs, typename Fun >
auto | operator() (Fun fun, Rngs &&... rngs) const -> iter_zip_with_view< Fun, all_t< Rngs >... > requires and_v< viewable_range< Rngs >... > &&zippable_with< Fun, Rngs... > &&(sizeof...(Rngs) !=0)
template<typename Fun >
constexpr auto | operator() (Fun) const noexcept -> empty_view< std::tuple<>> requires zippable_with< Fun >